package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppInvite;

/**
 * 邀请海报配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public interface IAppInviteService 
{
    /**
     * 查询邀请海报配置
     * 
     * @param id 邀请海报配置主键
     * @return 邀请海报配置
     */
    public AppInvite selectAppInviteById(Long id);

    /**
     * 查询邀请海报配置列表
     * 
     * @param appInvite 邀请海报配置
     * @return 邀请海报配置集合
     */
    public List<AppInvite> selectAppInviteList(AppInvite appInvite);

    /**
     * 新增邀请海报配置
     * 
     * @param appInvite 邀请海报配置
     * @return 结果
     */
    public int insertAppInvite(AppInvite appInvite);

    /**
     * 修改邀请海报配置
     * 
     * @param appInvite 邀请海报配置
     * @return 结果
     */
    public int updateAppInvite(AppInvite appInvite);

    /**
     * 批量删除邀请海报配置
     * 
     * @param ids 需要删除的邀请海报配置主键集合
     * @return 结果
     */
    public int deleteAppInviteByIds(Long[] ids);

    /**
     * 删除邀请海报配置信息
     * 
     * @param id 邀请海报配置主键
     * @return 结果
     */
    public int deleteAppInviteById(Long id);
}
